<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_map3_d.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Map3D Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_map3_d.html">Map3D</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QString new_title)</td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a>()</td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a>(const char *widget_title, QWidget *parent)</td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_map3_d.html#a5ade1d2cb83558dd53329fb1eca1ec20">map</a></td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_map3_d.html#abad559ba63171f87aaf6a2574d3c3dd5">Map3D</a>(const char *map_title, QWidget *parent=nullptr)</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_map3_d.html#ac560249dab7296b25ef7ce2a25902d55">map_container</a></td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_map3_d.html#a9139711c985ad185f92c016c48620657">map_container_layout</a></td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">moveRobot</a>(int left, int right, int time_interval)</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">passMeasure</a>(int new_measure, int index)</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">refresh</a>()</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">returnRobotDistance</a>()</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">setStoredWidget</a>() override</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">setVLayout</a>() override</td><td class="entry"><a class="el" href="class_map3_d.html">Map3D</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a>()</td><td class="entry"><a class="el" href="class_framed_widget.html">FramedWidget</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
